View Issue Details

IDProjectCategoryView StatusLast Update
0013614ScribusTranslationpublic2017-01-20 22:10
Reporterbubu Assigned Tocbradney  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.1svn 
Target Version1.6 milestoneFixed in Version1.5.3.svn 
Summary0013614: Non-translatable date format codes in PDF fields
DescriptionThere are many new format codes in translation files from /scribus/ui/annot.ui:
m/d
m/d/yy
mm/dd/yy
mm/yy
d-mmm
d-mmm-yy
dd-mmm-yy
dd/mm/yy
dd/mm/yyyy
dd.mm.yyyy
yy-mm-dd
mmm-yy
mmmm-yy
mmm d, yyyy
mmmm d, yyyy
m/d/yy h:MM tt
m/d/yy HH:MM
yyyy-mm-dd
---
HH:MM
h:MM tt
HH:MM:ss
h:MM:ss tt
---
9,999.99
9.999,99
9999.99
9999,99

A question: Can I localize this format codes, or no?
I think no...
a) There are hard coded... https://github.com/scribusproject/scribus/blob/master/scribus/ui/annot.cpp#L721
b) French and Italian translations are untouched.

So, please explain:
1) Can I localize this strings?
2) If not, it would be good to exclude this strings from translation source.
Tagsl10n, PDF
PatchNo

Relationships

related to 0013264 new Full HTML markup in translations strings for word wrapping (in trunk) 

Activities

bubu

2015-12-23 23:06

reporter  

PDF field test.sla (69,974 bytes)

Kunda

2016-01-13 19:08

manager   ~0038130

yo devs, any comments ?

bubu

2016-02-14 20:16

reporter   ~0038725

ping

Kunda

2016-04-13 03:12

manager   ~0040110

Devs, can we decide on this so that we can punt this to the translators?

Kunda

2016-04-26 20:01

manager   ~0040510

Last edited: 2016-04-26 20:04

View 2 revisions

per craig: "i dont think they can be changed, they are PDF spec related and cannot be translated for that reason.. i think so based on a comment ages ago by Jean"
"the only way for us to fix it would be to write some conversion routine.. so allow the translation on a separate set of strings then convert to the pdf strings"

jghali ?

Kunda

2016-12-12 23:45

manager   ~0042943

@jghali can we exclude these from translation source ?

cbradney

2016-12-20 21:33

administrator   ~0043119

All texts marked as non translatable

bubu

2016-12-20 22:07

reporter   ~0043120

Thanks, cbradney!

Issue History

Date Modified Username Field Change
2015-12-23 23:06 bubu New Issue
2015-12-23 23:06 bubu File Added: PDF field test.sla
2016-01-13 19:08 Kunda Note Added: 0038130
2016-02-14 20:16 bubu Note Added: 0038725
2016-02-14 20:40 Kunda Target Version => 1.5.3
2016-04-13 03:12 Kunda Note Added: 0040110
2016-04-13 03:12 Kunda Target Version 1.5.3 => 1.5.2
2016-04-13 12:58 Kunda Tag Attached: PDF
2016-04-26 20:01 Kunda Note Added: 0040510
2016-04-26 20:02 cbradney Target Version 1.5.2 => 1.6 milestone
2016-04-26 20:04 Kunda Note Edited: 0040510 View Revisions
2016-12-12 23:45 Kunda Note Added: 0042943
2016-12-12 23:45 Kunda Status new => confirmed
2016-12-12 23:45 Kunda Tag Attached: l10n
2016-12-12 23:47 Kunda Relationship added related to 0013264
2016-12-20 21:33 cbradney Assigned To => cbradney
2016-12-20 21:33 cbradney Status confirmed => resolved
2016-12-20 21:33 cbradney Resolution open => fixed
2016-12-20 21:33 cbradney Fixed in Version => 1.5.3.svn
2016-12-20 21:33 cbradney Note Added: 0043119
2016-12-20 22:07 bubu Note Added: 0043120
2017-01-20 22:10 cbradney Status resolved => closed